    server:
        port: 8081
        servlet: 
            session:
                timeout: 30
        ssl:
            enabled: false
            key-store: "/app/Gen_Web_API/cert/star_hmc_co_kr.jks"
            key-store-password: "w853kx7q"
            key-store-type: "JKS"

    spring: 
        datasource:
            mssql:
                driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
                jdbc-url: jdbc:sqlserver://10.5.200.22;databasename=HCTIETLTST;encrypt=true;trustServerCertificate=true
                username: HCTIETLADM
                password: ENC(0NvQrV/XiOyxCB+n6xL97JmMw1/kQlUc)
                connection-test-query: SELECT 1
            mssql-brd:
                driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
                jdbc-url: jdbc:sqlserver://10.5.200.22;databasename=HBRDTST;encrypt=true;trustServerCertificate=true
                username: HBRDADM
                password: ENC(0NvQrV/XiOyxCB+n6xL97JmMw1/kQlUc)
                connection-test-query: SELECT 1
            tibero:
                driver-class-name: com.tmax.tibero.jdbc.TbDriver
                jdbc-url: jdbc:tibero:thin:@10.5.200.106:1521:HCCCTst
                username: HCCCWAS
                password: ENC(7k9EQwiyGj6Vt5sRGbOt/0mVHBr6dh/0) 
                connection-test-query: SELECT 1 from dual
        jpa:
          database-platform: org.hibernate.dialect.Oracle10gDialect
          
    genesysinfo: 
      t_ip_p: 10.10.61.54
      t_ip_b: 10.10.61.55
      t_port_p: 3000
      t_port_b: 3000
      t_endpoint_p: T_EP_P
      t_endpoint_b: T_EP_B
      t_client_name: i4way_service_sip
      t_tenant_dbid: 1
      t_charset: MS949
      cron: 
        license-service: 0 0,30 * * * *

    ccc-service:
      user-service-url: https://h-stg-ccc01.hmc.co.kr/api/IFCCC901?systemCode=CTI&changeDatetime=
      org-service-url: https://h-stg-ccc01.hmc.co.kr/api/IFCCC902?systemCode=CTI&changeDatetime=
      enc-iv: 1234567890123456
      enc-key: 12345678901234567890123456789012
      #Yes : Encrypt On, No : Encrypt Off
      enc-yn: No
      cron: 
        user-service: 0 44 10 * * *
        org-service: 0 20 01 * * *

    rec-service:
      license-url: https://h-rec.hmc.co.kr/selectAllLicenseInfo.do
      cron: 
        license-service: 30 0,30 * * * *
        
    ftpinfo: 
      ftp_ip: 220.95.232.235
      ftp_port: 21
      #passwd: i4way!@#
      passwd: ENC(Gvc51oxXTJjLbKaZQIOP4YEMGla5yPD7)
      server_path: /home/i4way/korea_odam/
      private_key: 
      local_path: ./weather/
      cron: 
        weather-service: 0 2,32 * * * *
      
    boardinfo:
      genesys_license: 555
      uw_kt: 210
      uw_toll: 60
      uw_lg: 60
      yd_kt: 90   
      server_type: prod
      
    jasypt:
      encryptor:
        bean: jasyptStringEncryptor
        property:
          prefix: ENC(
          suffix: )                
#Password Encript Test Site : https://www.devglan.com/online-tools/jasypt-online-encryption-decryption             